summaryrefslogtreecommitdiffstats
path: root/runtests.sh
diff options
context:
space:
mode:
authorArfrever Frehtes Taifersar Arahesis <Arfrever@Gentoo.Org>2010-08-14 00:41:28 +0200
committerArfrever Frehtes Taifersar Arahesis <Arfrever@Gentoo.Org>2010-08-14 00:41:28 +0200
commit760da1a0666762b23804e76c2b4376c23a7824b8 (patch)
tree2c93e52426e7b562b306d859757253b9d1b5b8c5 /runtests.sh
parent1aca7a6adf643afde027778f1acbde7226dcea72 (diff)
downloadportage-760da1a0666762b23804e76c2b4376c23a7824b8.tar.gz
portage-760da1a0666762b23804e76c2b4376c23a7824b8.tar.bz2
portage-760da1a0666762b23804e76c2b4376c23a7824b8.zip
Add a script, which simplifies testing with multiple versions of Python.
Diffstat (limited to 'runtests.sh')
-rwxr-xr-xruntests.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/runtests.sh b/runtests.sh
new file mode 100755
index 000000000..1afbfb3f4
--- /dev/null
+++ b/runtests.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+PYTHON_VERSIONS="2.6 2.7 3.1 3.2"
+
+exit_status="0"
+for version in ${PYTHON_VERSIONS}; do
+ if [[ -x /usr/bin/python${version} ]]; then
+ echo -e "\e[1;32mTesting with Python ${version}...\e[0m"
+ if ! PYTHONPATH="pym${PYTHONPATH:+:}${PYTHONPATH}" /usr/bin/python${version} pym/portage/tests/runTests; then
+ echo -e "\e[1;31mTesting with Python ${version} failed\e[0m"
+ exit_status="1"
+ fi
+ echo
+ fi
+done
+
+exit ${exit_status}